/*************************************************************************
 * File Name: NSColor+MiscExtensions.h
 * Version  : 0.0 alpha
 * Date     : Thu 31-Aug-1997
 *************************************************************************
 *  COPYWHAT (C) 1997 by Tomi Engel
 *
 * This notice may not be removed from this source code.
 * The use and distribution of this software is governed by the
 * terms of the MiscKit license agreement.  Refer to the license
 * document included with the MiscKit distribution for the terms.
 *                    ALL RIGHTS RESERVED
 *
 *************************************************************************
 * Notes      :
 * Bugs       :
 * Author(s)  : tsengel
 * Last update: $Date: 1997/08/31 20:02:57 $
 * History    : $Log: NSColor+MiscExtensions.h,v $
 * History    : Revision 1.0  1997/08/31 20:02:57  tsengel
 * History    : Added to the MiscKit repository
 * History    :
 *************************************************************************/ 

#import <AppKit/AppKit.h>

@interface NSColor (MiscExtensions)

/*" Creating colors from string representations "*/

+ (NSColor *)colorWithStringRepresentation:(NSString *)aString;

+ (NSColor *)colorWithRGBColorStringRepresentation:(NSString *)aString;
+ (NSColor *)colorWithHSBColorStringRepresentation:(NSString *)aString;
+ (NSColor *)colorWithCMYKColorStringRepresentation:(NSString *)aString;
+ (NSColor *)colorWithWhiteColorStringRepresentation:(NSString *)aString;
+ (NSColor *)colorWithNamedColorStringRepresentation:(NSString *)aString;
+ (NSArray *)_parameterArrayFromString:(NSString *)aString;

/*" Creating colors from string representations "*/

- (NSString *)stringRepresentation;

- (NSString *)rgbColorStringRepresentation;
- (NSString *)hsbColorStringRepresentation;
- (NSString *)cmykColorStringRepresentation;
- (NSString *)whiteColorStringRepresentation;
- (NSString *)namedColorStringRepresentation;

@end
