//
//	MiscFoundation.h -- Header for the MiscKit Foundation Kit extension.
//		Written by Don Yacktman Copyright 1997 by Don Yacktman.
//				Version 0.4.  All rights reserved.
//
//		This notice may not be removed from this source code.
//
//	This header is included in the MiscKit by permission from the author
//	and its use is governed by the MiscKit license, found in the file
//	"License.rtf" in the MiscKit distribution.  Please refer to that file
//	for a list of all applicable permissions and restrictions.
//	

#import <Foundation/Foundation.h>

// FoundationKit additions (top level)

#import <MiscFoundation/NSDictionary+WriteCopy.h>
#import <MiscFoundation/NSFileManager+MiscExtensions.h>
#import <MiscFoundation/NSNumber+TagHandling.h>
#import <MiscFoundation/NSObject+MiscExtentions.h>
#import <MiscFoundation/NSArray+MiscExtensions.h>
#import <MiscFoundation/NSDictionary+MiscDefaultsSupport.h>

// From the top level

#import <MiscFoundation/MiscCommandLineParameterParser.h>
#import <MiscFoundation/MiscMutableData.h>
#import <MiscFoundation/MiscNotificationCenter.h>
#import <MiscFoundation/MiscStack.h>
#import <MiscFoundation/MiscTree.h>
#import <MiscFoundation/MiscUtilities.h>
#import <MiscFoundation/MiscLayoutTree.h>
#import <MiscFoundation/MiscRandom.h>
//#import <MiscFoundation/_MiscError.h>

// From MiscUndo

#import <MiscFoundation/MiscUndoManager.h>

#import <MiscFoundation/NSScanner+MiscRegex.h>
#import <MiscFoundation/NSString+Paths.h>
#import <MiscFoundation/NSString+MiscExtensions.h>
#import <MiscFoundation/NSString+Substrings.h>
#import <MiscFoundation/NSString+MiscPathComparing.h>
#import <MiscFoundation/NSString+Trimming.h>
#import <MiscFoundation/NSString+MiscRegex.h>

// From MiscSortedCollection

//#import <MiscFoundation/MiscNumberSkipList.h>
//#import <MiscFoundation/MiscObjectSkipList.h>
//#import <MiscFoundation/MiscRandomLevelProvider.h>
//#import <MiscFoundation/MiscSkipListEnumerator.h>
//#import <MiscFoundation/MiscSkipList.h>
//#import <MiscFoundation/Miscskiplist.h>
#import <MiscFoundation/MiscSortedCollection.h>
//#import <MiscFoundation/MiscStringSkipList.h>

