//
//	NSScanner+MiscRegex.h -- add regular expression support to NSScanner
//		Written by Carl Lindberg Copyright (c) 1997 by Carl Lindberg.
//				  Version 1.0   All rights reserved.
//		This notice may not be removed from this source code.
//
//	This object is included in the MiscKit by permission from the author
//	and its use is governed by the MiscKit license, found in the file
//	"LICENSE.rtf" in the MiscKit distribution.  Please refer to that file
//	for a list of all applicable permissions and restrictions.
//	

#import <Foundation/NSScanner.h>
#import "regexpr.h"

@interface NSScanner (MiscRegex)

- (BOOL)scanRegex:(NSString *)regex intoString:(NSString **)value;
- (BOOL)scanUpToRegex:(NSString *)regex intoString:(NSString **)value;

- (BOOL)scanRegexStruct:(regexp_t)pattern intoString:(NSString **)value;
- (BOOL)scanUpToRegexStruct:(regexp_t)pattern intoString:(NSString **)value;

@end

